<template lang="html">
  <div class="field is-grouped">
    <label class="control">
      <p><slot></slot></p>
    </label>
    <div class="control is-expanded">
      <input class="input" type="number" :name="name" :value="value" @change="$emit('update-config', name, $event.target.value)">
    </div>
  </div>
</template>

<script>
export default {
  props: {
    name: String,
    value: Number
  },
  methods: {
    // updateConfig() {
    //
    // }
  }
}
</script>

<style lang="scss" scoped>
</style>
